<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>SmsCredential.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">astrapay-otp</a> &gt; <a href="index.source.html" class="el_package">com.astrapay.otp.model</a> &gt; <span class="el_source">SmsCredential.java</span></div><h1>SmsCredential.java</h1><pre class="source lang-java linenums">package com.astrapay.otp.model;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name=&quot;sms_credential&quot;)
<span class="fc" id="L14">public class SmsCredential implements java.io.Serializable {</span>

	/**
	 * 
	 */
	private static final long serialVersionUID = 4235343422892361567L;
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	@Column(name=&quot;sms_credential_id&quot;,columnDefinition = &quot;serial&quot; )
	private Long smsCredentialId;
	
	@Column(name=&quot;user_id&quot;)
	private String userId;
	
	@Column(name=&quot;password&quot;)
	private String password;
	
	@Column(name=&quot;msisdn&quot;)
	private String msisdn;
	
	@Column(name=&quot;message&quot;)
	private String message;
	
	@Column(name=&quot;sender&quot;)
	private String sender;
	
	@Column(name=&quot;division&quot;)
	private String division;
	
	@Column(name=&quot;batchname&quot;)
	private String batchname;
	
	@Column(name=&quot;upload_by&quot;)
	private String uploadBy;
	
	@Column(name=&quot;channel&quot;)
	private String channel;
	
	@Column(name=&quot;organization_id&quot;)
	private Long organizationId;
	
	@Column(name=&quot;created_by&quot;)
	private Long createdBy;
	
	@Column(name=&quot;created_date&quot;)
	private Date createdDate;
	
	@Column(name=&quot;last_update_by&quot;)
	private Long lastUpdateBy;
	
	@Column(name=&quot;last_update_date&quot;)
	private Date lastUpdateDate;

	public Long getSmsCredentialId() {
<span class="nc" id="L68">		return smsCredentialId;</span>
	}
	public void setSmsCredentialId(Long smsCredentialId) {
<span class="nc" id="L71">		this.smsCredentialId = smsCredentialId;</span>
<span class="nc" id="L72">	}</span>
	public String getUserId() {
<span class="nc" id="L74">		return userId;</span>
	}
	public void setUserId(String userId) {
<span class="nc" id="L77">		this.userId = userId;</span>
<span class="nc" id="L78">	}</span>
	public String getPassword() {
<span class="nc" id="L80">		return password;</span>
	}
	public void setPassword(String password) {
<span class="nc" id="L83">		this.password = password;</span>
<span class="nc" id="L84">	}</span>
	public String getMsisdn() {
<span class="nc" id="L86">		return msisdn;</span>
	}
	public void setMsisdn(String msisdn) {
<span class="nc" id="L89">		this.msisdn = msisdn;</span>
<span class="nc" id="L90">	}</span>
	public String getMessage() {
<span class="nc" id="L92">		return message;</span>
	}
	public void setMessage(String message) {
<span class="nc" id="L95">		this.message = message;</span>
<span class="nc" id="L96">	}</span>
	public String getSender() {
<span class="nc" id="L98">		return sender;</span>
	}
	public void setSender(String sender) {
<span class="nc" id="L101">		this.sender = sender;</span>
<span class="nc" id="L102">	}</span>
	public String getDivision() {
<span class="nc" id="L104">		return division;</span>
	}
	public void setDivision(String division) {
<span class="nc" id="L107">		this.division = division;</span>
<span class="nc" id="L108">	}</span>
	public String getBatchname() {
<span class="nc" id="L110">		return batchname;</span>
	}
	public void setBatchname(String batchname) {
<span class="nc" id="L113">		this.batchname = batchname;</span>
<span class="nc" id="L114">	}</span>
	public String getUploadBy() {
<span class="nc" id="L116">		return uploadBy;</span>
	}
	public void setUploadBy(String uploadBy) {
<span class="nc" id="L119">		this.uploadBy = uploadBy;</span>
<span class="nc" id="L120">	}</span>
	public String getChannel() {
<span class="nc" id="L122">		return channel;</span>
	}
	public void setChannel(String channel) {
<span class="nc" id="L125">		this.channel = channel;</span>
<span class="nc" id="L126">	}</span>
	public Long getOrganizationId() {
<span class="nc" id="L128">		return organizationId;</span>
	}
	public void setOrganizationId(Long organizationId) {
<span class="nc" id="L131">		this.organizationId = organizationId;</span>
<span class="nc" id="L132">	}</span>
	public Long getCreatedBy() {
<span class="nc" id="L134">		return createdBy;</span>
	}
	public void setCreatedBy(Long createdBy) {
<span class="nc" id="L137">		this.createdBy = createdBy;</span>
<span class="nc" id="L138">	}</span>
	public Date getCreatedDate() {
<span class="nc" id="L140">		return createdDate;</span>
	}
	public void setCreatedDate(Date createdDate) {
<span class="nc" id="L143">		this.createdDate = createdDate;</span>
<span class="nc" id="L144">	}</span>
	public Long getLastUpdateBy() {
<span class="nc" id="L146">		return lastUpdateBy;</span>
	}
	public void setLastUpdateBy(Long lastUpdateBy) {
<span class="nc" id="L149">		this.lastUpdateBy = lastUpdateBy;</span>
<span class="nc" id="L150">	}</span>
	public Date getLastUpdateDate() {
<span class="nc" id="L152">		return lastUpdateDate;</span>
	}
	public void setLastUpdateDate(Date lastUpdateDate) {
<span class="nc" id="L155">		this.lastUpdateDate = lastUpdateDate;</span>
<span class="nc" id="L156">	}</span>
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.5.201910111838</span></div></body></html>